Attribute VB_Name = "Module2"


Global Const WHFLAG_RETURN_MSG_ID = &H1
Global Const WHFLAG_SEGMENT_ONLY = &H2
Global Const WHFLAG_NO_PICT_PATH = &H8
Global Const WHFLAG_LIST_TO_TEXT = &H10
Global Const WHFLAG_NO_SPAN_TAG = &H80
Global Const WHFLAG_NO_FONT = &H100
Global Const WHFLAG_FLASH_SUPPORT = &H200
Global Const WHFLAG_XLATE_SINGLE_QUOTE = &H400
Global Const WHFLAG_SAVE_PICT_AS_BMP = &H800
Global Const WHFLAG_PNG_RGB = &H1000
Global Const WHFLAG_FIX_NEG_INDENT = &H2000
Global Const WHFLAG_NO_COMBOBOX    = &H4000  
Global Const WHFLAG_INPUT_FIELD_TO_TEXT_BOX =&H8000

'******************************************************************************
'   Message ids
'*******************************************************************************
Global Const MSG_FILE_NOT_FOUND = 1
Global Const MSG_NO_EDITOR_INSTANCE = 2
Global Const MSG_READ_ERROR = 3
Global Const MSG_WRITE_ERROR = 4
Global Const MSG_MEMORY_LOCK = 5
Global Const MSG_NO_FILE_SIGNATURE = 6
Global Const MSG_BAD_DOC_FILE = 7
Global Const MSG_BAD_HTML_FILE = 8
Global Const MSG_EXPIRED = 9
Global Const MSG_TXML_NOT_LOADED = 10
Global Const MSG_LICENSE_EXCEEDED   =15
Global Const MSG_BAD_LICENSE_NUMBER =16
Global Const MSG_BAD_LICENSE_KEY    =17
Global Const MSG_INVALID_SERVER_LICENSE =18

Global Const MSG_OTHER = 99

Rem ************************************************************************
Rem Function declarations
Rem ************************************************************************

Declare Function WhsNewSession Lib "WHS32.DLL" () As Long
Declare Function WhsEndSession Lib "WHS32.DLL" (ByVal id As Long) As Long
Declare Function WhsSetFlags Lib "WHS32.DLL" (ByVal id As Long, ByVal SetReset As Long, ByVal flags As Long) As Long
Declare Function WhsGetLastMessage Lib "WHS32.DLL" (ByVal id As Long, ByVal message As String, ByVal DebugMsg As String) As Long
Declare Function WhsResetLastMessage Lib "WHS32.DLL" (ByVal id As Long) As Long
Declare Function WhsConvertFile Lib "WHS32.DLL" (ByVal id As Long, ByVal InFile As String, ByVal OutFile As String) As Long
Declare Function WhsConvertBuffer Lib "WHS32.DLL" (ByVal id As Long, ByVal InData As String, ByVal InSize As Long, OutSize As Long) As Long
Declare Function WhsHandleToStr Lib "WHS32.DLL" (ByVal buf As String, ByVal BufLen As Long, ByVal hMem As Long) As Long
Declare Function WhsGetPictCount Lib "WHS32.DLL" (ByVal id As Long) As Long
Declare Function WhsGetPictName Lib "WHS32.DLL" (ByVal id As Long, ByVal idx As Long, ByVal PictName As String) As Long
Declare Function WhsSetPaperSize Lib "WHS32.DLL" (ByVal id As Long, ByVal PaperSize As Long, ByVal PaperWidth As Long, ByVal PaperHeight As Long) As Long
Declare Function WhsSetPaperOrient Lib "WHS32.DLL" (ByVal id As Long, ByVal PaperOrient As Long) As Long
Declare Function WhsSetPageMargin Lib "WHS32.DLL" (ByVal id As Long, ByVal left As Long, ByVal right As Long, ByVal top As Long, ByVal bottom As Long) As Long
Declare Function WhsSetDownloadDir Lib "WHS32.DLL" (ByVal id As Long, ByVal DownloadDir As String) As Long
Declare Function WhsSetLicenseInfo Lib "WHS32.DLL" (ByVal LicKey As String, ByVal LicNbr as String, ByVal CompanyName as String) As Long
Declare Function WhsSetInServer Lib "WHS32.DLL" (ByVal InServer As Long) As Long
Declare Function WhsGetLicenseStatus Lib "WHS32.DLL" () As Long
Declare Function WhsSetHtmlDocTitle Lib "WHS32.DLL" (ByVal id As Long, ByVal HtmlTitle as String) As Long


Rem **************************************************
Rem When a string is passed for OUTPUT to the DLL
Rem ,the output string created by the DLL has an extra
Rem NULL character.  For such strings, you must call
Rem this routine to strip the null character from the
Rem given string
Rem **************************************************
Function DiscardNull(InText As String) As String
   Dim i As Long
   Dim StrLen As Long
   Dim CurChar As String

   StrLen = Len(InText)

   For i = 1 To StrLen
      CurChar = left(InText, i)
      CurChar = right(CurChar, 1)

      If Asc(CurChar) = 0 Then
         DiscardNull = left(InText, i - 1)
         Exit Function
      End If
   Next i

   DiscardNull = InText

End Function


